Skip to content
View as Markdown

GET Form Entries​

GET
/forms/{id}/entries

Retrieve a paginated list of form submission entries for a specific Fluent Form. Includes submission data, browser info, device info, and a link to view the entry in the Fluent Forms admin. Requires Fluent Forms to be installed and appropriate entry viewer permissions.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

Form ID.

Type
integer
Required

Query Parameters

page

Page number for pagination.

Type
integer
Default
1
per_page

Number of entries per page.

Type
integer
Default
10
search

Search entries by response content or status.

Type
string

Responses​

Paginated list of form entries.

application/json
JSON
{
"entries": {
"data": [
{
"id": 0,
"serial_number": 0,
"status": "string",
"created_at": "string",
"response": {
"additionalProperties": "string"
},
"user_id": 0,
"browser": "string",
"device": "string",
"ip": "string",
"entry_url": "string"
}
],
"page": 0,
"per_page": 0,
"total": 0,
"last_page": 0
},
"form": {
"id": 0,
"title": "string"
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI